Package edu.msu.cme.rdp.classifier.comparison

# Class ComparisonCmd

java.lang.Object
edu.msu.cme.rdp.classifier.comparison.ComparisonCmd

public class ComparisonCmd extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPARE_OUTFILE_DESC`
`static final String`
`COMPARE_OUTFILE_LONG_OPT`
`static final String`
`COMPARE_OUTFILE_SHORT_OPT`
`static final String`
`QUERYFILE_DESC`
`static final String`
`QUERYFILE1_LONG_OPT`
`static final String`
`QUERYFILE1_SHORT_OPT`
`static final String`
`QUERYFILE2_LONG_OPT`
`static final String`
`QUERYFILE2_SHORT_OPT`

## Constructor Summary

Constructors
Constructor
Description
`ComparisonCmd(String propfile, String gene)`
Creates a new Manager

## Method Summary

Modifier and Type
Method
Description
`void`
`doClassify(String s1, String s2, String detailFile, String sigFile, ClassificationResultFormatter.FORMAT format)`
given the parser and root, calls the tester to do the classification
`static void`
`main(String[] args)`
`static void`
`printLicense()`
Prints the license information to std err.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### QUERYFILE1_LONG_OPT

public static final String QUERYFILE1_LONG_OPT

See Also:
  - Constant Field Values

### QUERYFILE2_LONG_OPT

public static final String QUERYFILE2_LONG_OPT

See Also:
  - Constant Field Values

### COMPARE_OUTFILE_LONG_OPT

public static final String COMPARE_OUTFILE_LONG_OPT

See Also:
  - Constant Field Values

### QUERYFILE1_SHORT_OPT

public static final String QUERYFILE1_SHORT_OPT

See Also:
  - Constant Field Values

### QUERYFILE2_SHORT_OPT

public static final String QUERYFILE2_SHORT_OPT

See Also:
  - Constant Field Values

### COMPARE_OUTFILE_SHORT_OPT

public static final String COMPARE_OUTFILE_SHORT_OPT

See Also:
  - Constant Field Values

### QUERYFILE_DESC

public static final String QUERYFILE_DESC

See Also:
  - Constant Field Values

### COMPARE_OUTFILE_DESC

public static final String COMPARE_OUTFILE_DESC

See Also:
  - Constant Field Values

## Constructor Details

### ComparisonCmd

public ComparisonCmd(String propfile, String gene) throws IOException, TrainingDataException
Creates a new Manager

Throws:
  `IOException`
  `TrainingDataException`

## Method Details

### doClassify

public void doClassify(String s1, String s2, String detailFile, String sigFile, ClassificationResultFormatter.FORMAT format) throws IOException
given the parser and root, calls the tester to do the classification

Throws:
  `IOException`

### printLicense

public static void printLicense()
Prints the license information to std err.

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`